Bug 1311039 - Some designer tests are not running on Jenkins
Some designer tests are not running on Jenkins
Status: CLOSED NOTABUG
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.3.0
All All
unspecified Severity urgent
: ---
: ---
Assigned To: Tihomir Surdilovic
Kirill Gaevskii
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-23 03:57 EST by Kirill Gaevskii
Modified: 2016-04-21 05:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-20 02:28:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kirill Gaevskii 2016-02-23 03:57:53 EST
Description of problem:
jBPM Designer test suite on Jenkins running without Bpmn2UnmarshallingTestCase. Meanwhile this class has 8 non-successful tests.

Also this Class (Bpmn2UnmarshallingTestCase) has 9 commented tests (one of them has comment "Disabling test that doesn't pass.")
VFSRepositoryGitFileSystemTest has 6 commented tests (one of them with comment "disabling this test for now"), 
JbpmServiceRepositoryServletTest has 1 commented test (no other tests in this class), 
TaskFormsServletTest has 2 commented tests (no other tests in this class). 
It have to be reviewed and actualized.


Version-Release number of selected component (if applicable):
6.2, 6.3.DR1, 6.4.SNAPSHOT

How reproducible:
always

Steps to Reproduce:
1. Go to "jbpm-designer/jbpm-designer-backend"
2. Run "mvn clean test" // All tests successfully passed (except skipped)
3. Run "mvn clean test -Dtest=Bpmn2UnmarshallingTestCase" // 8 tests not passed

Expected results:
"mvn clean test" will run all existing tests and all of them will be successful.
Comment 2 Kirill Gaevskii 2016-02-23 04:08:45 EST
Partially fixed on master: https://github.com/droolsjbpm/jbpm-designer/pull/157
Comment 3 Lukáš Petrovický 2016-04-20 02:28:52 EDT
This is not, in itself, a product bug. Closing.

Note You need to log in before you can comment on or make changes to this bug.